/****************************************************************************************


		3DPublicDefs.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Public definitions of Action Numbers, Tool IDs, Menus IDs, etc. that can be used
		by others.

		These defines can be shared by the C++ and Rez/MRC compilers

		Author:	Yann Corno
		Date:	06/16/99


		Revision History

		when		who			what & why
		==========	==========	======================================================
		8/25/99		Thierry		new browser family IDs
		06/19/99	Alec		added color defines
		06/17/99	Yann		Renamed file
		06/16/99	Yann		Creation. Extracted public definitions out of EVDefs.h

*****************************************************************************************/
#ifndef __3DPUBLICDEFS__
#define __3DPUBLICDEFS__


#include "CommandIdRanges.h"


//<UNIQUE command IDs> (Action numbers AND tool ids)
//We reserved 8000-9999 in CommandIdRanges.h

//File
#define	kaOpenImage				(kCarraraCmdIDBase +  1)	//8001
#define kaOpenWizard			(kCarraraCmdIDBase +  2)	//8002

// Edit Menu
#define cSymetry				(kCarraraCmdIDBase + 10)	//8010
#define cSymDuplicate			(kCarraraCmdIDBase + 11)	//8011
#define kaSplitPrimitive		(kCarraraCmdIDBase + 12)	//8012
#define kaSelectAllObjects		(kCarraraCmdIDBase + 13)	//8013
#define kaSendToOrigin			(kCarraraCmdIDBase + 14)	//8014
#define kaCenterHotPoint		(kCarraraCmdIDBase + 15)	//8015
#define kaPointAt				(kCarraraCmdIDBase + 16)	//8016
#define kaAlign					(kCarraraCmdIDBase + 17)	//8017
#define kaRemoveUnusedObjects	(kCarraraCmdIDBase + 18)	//8018
#define kaRemoveUnusedShaders	(kCarraraCmdIDBase + 19)	//8019
#define kaSelectScene			(kCarraraCmdIDBase + 20)	//8020 
#define kaNewMaster				(kCarraraCmdIDBase + 21)	//8021
#define kaRemoveUnusedClips		(kCarraraCmdIDBase + 22)	//8022
#define kaRemoveDuplicateUnusedShaders		(kCarraraCmdIDBase + 23)	//8023


//Window
#define kaFullScreen			(kCarraraCmdIDBase + 30)	//8030
#define kaProperties			(kCarraraCmdIDBase + 31)	//8031
#define kaHierarchy				(kCarraraCmdIDBase + 32)	//8032
#define kaBrowser				(kCarraraCmdIDBase + 33)	//8033
#define kaRender				(kCarraraCmdIDBase + 34)	//8034

//Misc
#define kaNewUserHelpForum		(kCarraraCmdIDBase + 70)	//8070

#define k2DPanToolID    		(kCarraraCmdIDBase + 40)	//8040
#define k2DZoomToolID   		(kCarraraCmdIDBase + 41)	//8041
#define k2DCameraToolID 		(kCarraraCmdIDBase + 42)	//8042

#define ka2DZoom50				(kCarraraCmdIDBase + 50)	//8050
#define ka2DZoom100         	(kCarraraCmdIDBase + 51)	//8051
#define ka2DZoom150         	(kCarraraCmdIDBase + 52)	//8052
#define ka2DZoom200         	(kCarraraCmdIDBase + 53)	//8053
#define ka2DZoom300         	(kCarraraCmdIDBase + 54)	//8054
#define ka2DZoom400         	(kCarraraCmdIDBase + 55)	//8055

//Animation
#define kaCreateKeyFrame      	(kCarraraCmdIDBase + 60)	//8060
#define kaNextKeyFrame         	(kCarraraCmdIDBase + 61)	//8061
#define kaPreviousKeyFrame     	(kCarraraCmdIDBase + 62)	//8062
#define kaCreateNLAGroup		(kCarraraCmdIDBase + 63)	//8063


#define kAction_ChangeConstraint				(kCarraraCmdIDBase + 100)	//8100
#define kAction_ChangeAnimationMethod			(kCarraraCmdIDBase + 101)	//8101
#define kAction_ChangeMasterShaderComp			(kCarraraCmdIDBase + 102)	//8102
#define kAction_ChangeReflectionComp			(kCarraraCmdIDBase + 103)	//8103
#define kAction_ChangeRefractionComp			(kCarraraCmdIDBase + 104)	//8104
#define kAction_ChangeDataComp					(kCarraraCmdIDBase + 105)	//8105
#define kAction_ChangeLightComp					(kCarraraCmdIDBase + 106)	//8106
#define kAction_ChangeGel						(kCarraraCmdIDBase + 107)	//8107
#define kAction_ChangeShadowComp				(kCarraraCmdIDBase + 108)	//8108
#define kAction_ChangeCameraComp				(kCarraraCmdIDBase + 109)	//8109
#define kAction_ChangeAmbient					(kCarraraCmdIDBase + 110)	//8110
#define kAction_ChangePostRenderers				(kCarraraCmdIDBase + 111)	//8111
#define kAction_ChangeAtmosphere				(kCarraraCmdIDBase + 112)	//8112
#define kAction_ChangeEnvironment				(kCarraraCmdIDBase + 113)	//8113
#define kAction_ChangeBackdrop					(kCarraraCmdIDBase + 114)	//8114
#define kAction_ChangeName						(kCarraraCmdIDBase + 115)	//8115
#define kAction_ChangeTweener					(kCarraraCmdIDBase + 116)	//8116
#define kAction_ChangePostRenderer				(kCarraraCmdIDBase + 117)	//8117
#define kAction_ChangeVisibility				(kCarraraCmdIDBase + 118)	//8118
#define kAction_ChangeURL						(kCarraraCmdIDBase + 119)	//8119
#define kAction_ChangeModifier					(kCarraraCmdIDBase + 120)	//8120
#define kAction_ChangeSceneComponent			(kCarraraCmdIDBase + 121)	//8121
#define kAction_ApplyShaderToChildren			(kCarraraCmdIDBase + 122)	//8122
#define kAction_ChangeTreeShadowCasting			(kCarraraCmdIDBase + 123)	//8123
#define kAction_ChangeTreeReceiveShadow			(kCarraraCmdIDBase + 124)	//8124
#define kAction_ChangeUVSpaceMasterShaderComp	(kCarraraCmdIDBase + 125)	//8125
#define kAction_MoveTree						(kCarraraCmdIDBase + 126)	//8126
#define kAction_ChangeAttributesSetControler	(kCarraraCmdIDBase + 127)	//8127
#define kAction_ChangeTreePropagateScaling		(kCarraraCmdIDBase + 128)	//8128
#define kAction_ChangeScalingLockMode			(kCarraraCmdIDBase + 129)	//8129
#define kAction_ChangeInstanceMasterShaders		(kCarraraCmdIDBase + 130)	//8130
#define kAction_ChangeSelectChildrenWhenClosed	(kCarraraCmdIDBase + 131)	//8131


//</UNIQUE command IDs>

//_______________________________________________________________
// Modules IDs
//_______________________________________________________________
#define k3DViewModuleClassID	    '3Dvw'
#define kStoryboardModuleClassID	'Stry'
#define kScenePreviewModuleClassID	'ScPr'
#define kHierModuleID				'hier'
#define kPrimitiveModelerID			'mpmp'
#define kPropertiesModuleID			'prop'


// Edit Menu
#define mRemoveUnusedMasters	40

//_______________________________________________________________
// Misc.
//_______________________________________________________________

#define kPerspectiveWindow						9410

// these are constants for the imaging/scratch disk pane in the prefs
#define kAppImagingPrefName						'imag'
#define kAppImagingPaneID						16002

// these are the constants for the colors
// these are used with I3DShUtilities::G/SetAppColorPref()
#define kAppColorPref_WorkingBox				'WBox'
#define kAppColorPref_WorkingBoxGrid			'WGrd'
#define kAppColorPref_GroundPlane				'GPla'
#define kAppColorPref_GroundPlaneGrid			'GGrd'
#define kAppColorPref_Background				'Back'
#define kAppColorPref_DropShadow				'DShd'
#define kAppColorPref_SelectionHighlight		'SHgh'
#define kAppColorPref_3DViewPopupColor			'Popu'
#define kAppColorPref_PrimaryWireframe			'PriW'
#define kAppColorPref_SecondaryWireframe		'SecW'
#define kAppColorPref_Light						'Lite'
#define kAppColorPref_Camera					'Came'
#define kAppColorPref_ActivePaneBorder			'ActP'


// the resource id of the app color pmap
#define kAppColorPrefPaneID						16004
#define kAppColorPrefResID						16005

#define kAppColorPrefViewName					'VCol'

#define k2DToolTBAR								5101
#define k2DTool2TBAR							5102

#define kMarqueeTrackerStrings					16100
#define kMarqueeTrackerStrings_Marquee			1

#define kComponentPresetFolderResID				21003



#endif
